org.eclipse.gef.dot.internal.ui.language.contentassist

## Class DynamicTemplateProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.templates.AbstractTemplateProposalProvider
  - - org.eclipse.xtext.ui.editor.templates.DefaultTemplateProposalProvider
    - - org.eclipse.gef.dot.internal.ui.language.contentassist.DynamicTemplateProposalProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.ITemplateProposalProvider

    public class DynamicTemplateProposalProvider
    extends org.eclipse.xtext.ui.editor.templates.DefaultTemplateProposalProvider

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.templates.DefaultTemplateProposalProvider

`org.eclipse.xtext.ui.editor.templates.DefaultTemplateProposalProvider.FollowElementAcceptor`

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.templates.AbstractTemplateProposalProvider

`org.eclipse.xtext.ui.editor.templates.AbstractTemplateProposalProvider.NullSafeTemplateAcceptor`

### Constructor Summary

Constructors
Constructor and Description
`DynamicTemplateProposalProvider(TemplateStore templateStore, ContextTypeRegistry registry, org.eclipse.xtext.ui.editor.templates.ContextTypeIdHelper helper)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `createTemplates(TemplateContext templateContext, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ITemplateAcceptor acceptor)`

### Methods inherited from class org.eclipse.xtext.ui.editor.templates.DefaultTemplateProposalProvider

`createFollowElementAcceptor, getContextTypes, getImage, getRelevance`

### Methods inherited from class org.eclipse.xtext.ui.editor.templates.AbstractTemplateProposalProvider

`createProposal, createTemplateContexts, createTemplates, doCreateProposal, doCreateTemplateContext, getScopeProvider, setScopeProvider, validate, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DynamicTemplateProposalProvider

    @Inject
    public DynamicTemplateProposalProvider(TemplateStore templateStore,
                                                   ContextTypeRegistry registry,
                                                   org.eclipse.xtext.ui.editor.templates.ContextTypeIdHelper helper)

### Method Detail

#### createTemplates

    protected void createTemplates(TemplateContext templateContext,
                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                   org.eclipse.xtext.ui.editor.contentassist.ITemplateAcceptor acceptor)

Overrides:
  `createTemplates` in class `org.eclipse.xtext.ui.editor.templates.DefaultTemplateProposalProvider`